Makefile 40 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_selinux/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2007 Thorsten Kukuk <kukuk@thkukuk.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. noinst_PROGRAMS = pam_selinux_check$(EXEEXT)
  89. subdir = modules/pam_selinux
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  92. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  93. $(top_srcdir)/m4/intlmacosx.m4 \
  94. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  95. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  96. $(top_srcdir)/m4/ld-no-undefined.m4 \
  97. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  98. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  99. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  100. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  103. $(top_srcdir)/m4/progtest.m4 \
  104. $(top_srcdir)/m4/warn_lang_flags.m4 \
  105. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  106. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107. $(ACLOCAL_M4)
  108. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  109. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. PROGRAMS = $(noinst_PROGRAMS)
  115. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  116. am__vpath_adj = case $$p in \
  117. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  118. *) f=$$p;; \
  119. esac;
  120. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  121. am__install_max = 40
  122. am__nobase_strip_setup = \
  123. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  124. am__nobase_strip = \
  125. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  126. am__nobase_list = $(am__nobase_strip_setup); \
  127. for p in $$list; do echo "$$p $$p"; done | \
  128. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  129. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  130. if (++n[$$2] == $(am__install_max)) \
  131. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  132. END { for (dir in files) print dir, files[dir] }'
  133. am__base_list = \
  134. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  135. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  136. am__uninstall_files_from_dir = { \
  137. test -z "$$files" \
  138. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  139. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  140. $(am__cd) "$$dir" && rm -f $$files; }; \
  141. }
  142. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  143. LTLIBRARIES = $(securelib_LTLIBRARIES)
  144. pam_selinux_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  145. pam_selinux_la_SOURCES = pam_selinux.c
  146. pam_selinux_la_OBJECTS = pam_selinux.lo
  147. AM_V_lt = $(am__v_lt_$(V))
  148. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  149. am__v_lt_0 = --silent
  150. am__v_lt_1 =
  151. pam_selinux_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  152. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  153. $(AM_CFLAGS) $(CFLAGS) $(pam_selinux_la_LDFLAGS) $(LDFLAGS) -o \
  154. $@
  155. pam_selinux_check_SOURCES = pam_selinux_check.c
  156. pam_selinux_check_OBJECTS = pam_selinux_check.$(OBJEXT)
  157. pam_selinux_check_DEPENDENCIES = $(top_builddir)/libpam/libpam.la \
  158. $(top_builddir)/libpam_misc/libpam_misc.la
  159. AM_V_P = $(am__v_P_$(V))
  160. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  161. am__v_P_0 = false
  162. am__v_P_1 = :
  163. AM_V_GEN = $(am__v_GEN_$(V))
  164. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  165. am__v_GEN_0 = @echo " GEN " $@;
  166. am__v_GEN_1 =
  167. AM_V_at = $(am__v_at_$(V))
  168. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  169. am__v_at_0 = @
  170. am__v_at_1 =
  171. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  172. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  173. am__maybe_remake_depfiles = depfiles
  174. am__depfiles_remade = ./$(DEPDIR)/pam_selinux.Plo \
  175. ./$(DEPDIR)/pam_selinux_check.Po
  176. am__mv = mv -f
  177. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  178. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  179. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  180. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  181. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  182. $(AM_CFLAGS) $(CFLAGS)
  183. AM_V_CC = $(am__v_CC_$(V))
  184. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  185. am__v_CC_0 = @echo " CC " $@;
  186. am__v_CC_1 =
  187. CCLD = $(CC)
  188. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  189. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  190. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  191. AM_V_CCLD = $(am__v_CCLD_$(V))
  192. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  193. am__v_CCLD_0 = @echo " CCLD " $@;
  194. am__v_CCLD_1 =
  195. SOURCES = pam_selinux.c pam_selinux_check.c
  196. DIST_SOURCES = pam_selinux.c pam_selinux_check.c
  197. am__can_run_installinfo = \
  198. case $$AM_UPDATE_INFO_DIR in \
  199. n|no|NO) false;; \
  200. *) (install-info --version) >/dev/null 2>&1;; \
  201. esac
  202. man8dir = $(mandir)/man8
  203. NROFF = nroff
  204. MANS = $(dist_man_MANS)
  205. am__dist_noinst_DATA_DIST = README
  206. DATA = $(dist_noinst_DATA)
  207. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  208. # Read a list of newline-separated strings from the standard input,
  209. # and print each of them once, without duplicates. Input order is
  210. # *not* preserved.
  211. am__uniquify_input = $(AWK) '\
  212. BEGIN { nonempty = 0; } \
  213. { items[$$0] = 1; nonempty = 1; } \
  214. END { if (nonempty) { for (i in items) print i; }; } \
  215. '
  216. # Make sure the list of sources is unique. This is necessary because,
  217. # e.g., the same source file might be shared among _SOURCES variables
  218. # for different programs/libraries.
  219. am__define_uniq_tagged_files = \
  220. list='$(am__tagged_files)'; \
  221. unique=`for i in $$list; do \
  222. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  223. done | $(am__uniquify_input)`
  224. ETAGS = etags
  225. CTAGS = ctags
  226. am__tty_colors_dummy = \
  227. mgn= red= grn= lgn= blu= brg= std=; \
  228. am__color_tests=no
  229. am__tty_colors = { \
  230. $(am__tty_colors_dummy); \
  231. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  232. am__color_tests=no; \
  233. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  234. am__color_tests=yes; \
  235. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  236. am__color_tests=yes; \
  237. fi; \
  238. if test $$am__color_tests = yes; then \
  239. red=''; \
  240. grn=''; \
  241. lgn=''; \
  242. blu=''; \
  243. mgn=''; \
  244. brg=''; \
  245. std=''; \
  246. fi; \
  247. }
  248. am__recheck_rx = ^[ ]*:recheck:[ ]*
  249. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  250. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  251. # A command that, given a newline-separated list of test names on the
  252. # standard input, print the name of the tests that are to be re-run
  253. # upon "make recheck".
  254. am__list_recheck_tests = $(AWK) '{ \
  255. recheck = 1; \
  256. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  257. { \
  258. if (rc < 0) \
  259. { \
  260. if ((getline line2 < ($$0 ".log")) < 0) \
  261. recheck = 0; \
  262. break; \
  263. } \
  264. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  265. { \
  266. recheck = 0; \
  267. break; \
  268. } \
  269. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  270. { \
  271. break; \
  272. } \
  273. }; \
  274. if (recheck) \
  275. print $$0; \
  276. close ($$0 ".trs"); \
  277. close ($$0 ".log"); \
  278. }'
  279. # A command that, given a newline-separated list of test names on the
  280. # standard input, create the global log from their .trs and .log files.
  281. am__create_global_log = $(AWK) ' \
  282. function fatal(msg) \
  283. { \
  284. print "fatal: making $@: " msg | "cat >&2"; \
  285. exit 1; \
  286. } \
  287. function rst_section(header) \
  288. { \
  289. print header; \
  290. len = length(header); \
  291. for (i = 1; i <= len; i = i + 1) \
  292. printf "="; \
  293. printf "\n\n"; \
  294. } \
  295. { \
  296. copy_in_global_log = 1; \
  297. global_test_result = "RUN"; \
  298. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  299. { \
  300. if (rc < 0) \
  301. fatal("failed to read from " $$0 ".trs"); \
  302. if (line ~ /$(am__global_test_result_rx)/) \
  303. { \
  304. sub("$(am__global_test_result_rx)", "", line); \
  305. sub("[ ]*$$", "", line); \
  306. global_test_result = line; \
  307. } \
  308. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  309. copy_in_global_log = 0; \
  310. }; \
  311. if (copy_in_global_log) \
  312. { \
  313. rst_section(global_test_result ": " $$0); \
  314. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  315. { \
  316. if (rc < 0) \
  317. fatal("failed to read from " $$0 ".log"); \
  318. print line; \
  319. }; \
  320. printf "\n"; \
  321. }; \
  322. close ($$0 ".trs"); \
  323. close ($$0 ".log"); \
  324. }'
  325. # Restructured Text title.
  326. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  327. # Solaris 10 'make', and several other traditional 'make' implementations,
  328. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  329. # by disabling -e (using the XSI extension "set +e") if it's set.
  330. am__sh_e_setup = case $$- in *e*) set +e;; esac
  331. # Default flags passed to test drivers.
  332. am__common_driver_flags = \
  333. --color-tests "$$am__color_tests" \
  334. --enable-hard-errors "$$am__enable_hard_errors" \
  335. --expect-failure "$$am__expect_failure"
  336. # To be inserted before the command running the test. Creates the
  337. # directory for the log if needed. Stores in $dir the directory
  338. # containing $f, in $tst the test, in $log the log. Executes the
  339. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  340. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  341. # will run the test scripts (or their associated LOG_COMPILER, if
  342. # thy have one).
  343. am__check_pre = \
  344. $(am__sh_e_setup); \
  345. $(am__vpath_adj_setup) $(am__vpath_adj) \
  346. $(am__tty_colors); \
  347. srcdir=$(srcdir); export srcdir; \
  348. case "$@" in \
  349. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  350. *) am__odir=.;; \
  351. esac; \
  352. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  353. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  354. if test -f "./$$f"; then dir=./; \
  355. elif test -f "$$f"; then dir=; \
  356. else dir="$(srcdir)/"; fi; \
  357. tst=$$dir$$f; log='$@'; \
  358. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  359. am__enable_hard_errors=no; \
  360. else \
  361. am__enable_hard_errors=yes; \
  362. fi; \
  363. case " $(XFAIL_TESTS) " in \
  364. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  365. am__expect_failure=yes;; \
  366. *) \
  367. am__expect_failure=no;; \
  368. esac; \
  369. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  370. # A shell command to get the names of the tests scripts with any registered
  371. # extension removed (i.e., equivalently, the names of the test logs, with
  372. # the '.log' extension removed). The result is saved in the shell variable
  373. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  374. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  375. # since that might cause problem with VPATH rewrites for suffix-less tests.
  376. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  377. am__set_TESTS_bases = \
  378. bases='$(TEST_LOGS)'; \
  379. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  380. bases=`echo $$bases`
  381. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  382. RECHECK_LOGS = $(TEST_LOGS)
  383. AM_RECURSIVE_TARGETS = check recheck
  384. TEST_SUITE_LOG = test-suite.log
  385. TEST_EXTENSIONS = .test
  386. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  387. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  388. am__set_b = \
  389. case '$@' in \
  390. */*) \
  391. case '$*' in \
  392. */*) b='$*';; \
  393. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  394. esac;; \
  395. *) \
  396. b='$*';; \
  397. esac
  398. am__test_logs1 = $(TESTS:=.log)
  399. am__test_logs2 = $(am__test_logs1:.log=.log)
  400. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  401. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  402. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  403. $(TEST_LOG_FLAGS)
  404. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  405. $(top_srcdir)/build-aux/depcomp \
  406. $(top_srcdir)/build-aux/test-driver
  407. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  408. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  409. AMTAR = $${TAR-tar}
  410. AM_DEFAULT_VERBOSITY = 1
  411. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  412. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  413. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  414. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  415. AWK = gawk
  416. BROWSER =
  417. BUILD_CFLAGS =
  418. BUILD_CPPFLAGS =
  419. BUILD_LDFLAGS =
  420. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  421. CCDEPMODE = depmode=gcc3
  422. CC_FOR_BUILD = gcc
  423. CFLAGS = -g -O2
  424. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  425. CPPFLAGS =
  426. CRYPTO_LIBS =
  427. CRYPT_CFLAGS =
  428. CRYPT_LIBS = -lcrypt
  429. CYGPATH_W = echo
  430. DEFS = -DHAVE_CONFIG_H
  431. DEPDIR = .deps
  432. DLLTOOL = false
  433. DSYMUTIL =
  434. DUMPBIN = :
  435. ECHO_C =
  436. ECHO_N = -n
  437. ECHO_T =
  438. ECONF_CFLAGS =
  439. ECONF_LIBS =
  440. EGREP = /bin/grep -E
  441. EXEEXT =
  442. EXE_CFLAGS = -fpie
  443. EXE_LDFLAGS = -pie -Wl,-z,now
  444. FGREP = /bin/grep -F
  445. FO2PDF =
  446. GETTEXT_MACRO_VERSION = 0.18
  447. GMSGFMT = /usr/bin/msgfmt
  448. GMSGFMT_015 = /usr/bin/msgfmt
  449. GREP = /bin/grep
  450. INSTALL = /usr/bin/install -c
  451. INSTALL_DATA = ${INSTALL} -m 644
  452. INSTALL_PROGRAM = ${INSTALL}
  453. INSTALL_SCRIPT = ${INSTALL}
  454. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  455. INTLLIBS =
  456. INTL_MACOSX_LIBS =
  457. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  458. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  459. LEX = flex
  460. LEXLIB = -lfl
  461. LEX_OUTPUT_ROOT = lex.yy
  462. LIBAUDIT =
  463. LIBCRYPT = -lcrypt
  464. LIBDB =
  465. LIBDL = -ldl
  466. LIBICONV = -liconv
  467. LIBINTL =
  468. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  469. LIBPRELUDE_CFLAGS =
  470. LIBPRELUDE_CONFIG = no
  471. LIBPRELUDE_CONFIG_PREFIX =
  472. LIBPRELUDE_LDFLAGS =
  473. LIBPRELUDE_LIBS =
  474. LIBPRELUDE_PREFIX =
  475. LIBPRELUDE_PTHREAD_CFLAGS =
  476. LIBS =
  477. LIBSELINUX =
  478. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  479. LIPO =
  480. LN_S = ln -s
  481. LTLIBICONV = -liconv
  482. LTLIBINTL =
  483. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  484. LT_SYS_LIBRARY_PATH =
  485. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  486. MANIFEST_TOOL = :
  487. MKDIR_P = /bin/mkdir -p
  488. MSGFMT = /usr/bin/msgfmt
  489. MSGFMT_015 = /usr/bin/msgfmt
  490. MSGMERGE = /usr/bin/msgmerge
  491. NIS_CFLAGS =
  492. NIS_LIBS =
  493. NM = nm
  494. NMEDIT =
  495. NSL_CFLAGS =
  496. NSL_LIBS = -lnsl
  497. OBJDUMP = objdump
  498. OBJEXT = o
  499. OTOOL =
  500. OTOOL64 =
  501. PACKAGE = Linux-PAM
  502. PACKAGE_BUGREPORT =
  503. PACKAGE_NAME = Linux-PAM
  504. PACKAGE_STRING = Linux-PAM 1.5.2
  505. PACKAGE_TARNAME = Linux-PAM
  506. PACKAGE_URL =
  507. PACKAGE_VERSION = 1.5.2
  508. PATH_SEPARATOR = :
  509. PKG_CONFIG = /usr/bin/pkg-config
  510. PKG_CONFIG_LIBDIR =
  511. PKG_CONFIG_PATH =
  512. POSUB = po
  513. RANLIB = ranlib
  514. SCONFIGDIR = ${prefix}/etc/security
  515. SECUREDIR = ${exec_prefix}/lib/security
  516. SED = /bin/sed
  517. SET_MAKE =
  518. SHELL = /bin/bash
  519. STRINGPARAM_HMAC =
  520. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  521. STRIP = strip
  522. TIRPC_CFLAGS =
  523. TIRPC_LIBS =
  524. USE_NLS = yes
  525. VERSION = 1.5.2
  526. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  527. XGETTEXT = /usr/bin/xgettext
  528. XGETTEXT_015 = /usr/bin/xgettext
  529. XGETTEXT_EXTRA_OPTIONS =
  530. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  531. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  532. XML_CATALOG_FILE = /etc/xml/catalog
  533. XSLTPROC = /usr/bin/xsltproc
  534. YACC = bison -y
  535. YFLAGS =
  536. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_selinux
  537. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_selinux
  538. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  539. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  540. ac_ct_AR =
  541. ac_ct_CC =
  542. ac_ct_DUMPBIN = link -dump
  543. am__include = include
  544. am__leading_dot = .
  545. am__quote =
  546. am__tar = $${TAR-tar} chof - "$$tardir"
  547. am__untar = $${TAR-tar} xf -
  548. bindir = ${exec_prefix}/bin
  549. build = x86_64-pc-linux-gnu
  550. build_alias =
  551. build_cpu = x86_64
  552. build_os = linux-gnu
  553. build_vendor = pc
  554. builddir = .
  555. datadir = ${datarootdir}
  556. datarootdir = ${prefix}/share
  557. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  558. dvidir = ${docdir}
  559. exec_prefix = ${prefix}
  560. host = arm-unknown-linux-gnueabihf
  561. host_alias = arm-linux-gnueabihf
  562. host_cpu = arm
  563. host_os = linux-gnueabihf
  564. host_vendor = unknown
  565. htmldir = ${docdir}
  566. includedir = ${prefix}/include
  567. infodir = ${datarootdir}/info
  568. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  569. libdir = ${exec_prefix}/lib
  570. libexecdir = ${exec_prefix}/libexec
  571. localedir = ${datarootdir}/locale
  572. localstatedir = ${prefix}/var
  573. mandir = ${datarootdir}/man
  574. mkdir_p = $(MKDIR_P)
  575. oldincludedir = /usr/include
  576. pam_xauth_path = /usr/bin/xauth
  577. pdfdir = ${docdir}
  578. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  579. program_transform_name = s,x,x,
  580. psdir = ${docdir}
  581. sbindir = ${exec_prefix}/sbin
  582. sharedstatedir = ${prefix}/com
  583. srcdir = .
  584. sysconfdir = ${prefix}/etc
  585. systemdunitdir =
  586. target_alias =
  587. top_build_prefix = ../../
  588. top_builddir = ../..
  589. top_srcdir = ../..
  590. CLEANFILES = *~
  591. MAINTAINERCLEANFILES = $(MANS) README
  592. EXTRA_DIST = $(XMLS) pam_selinux_check.8
  593. #dist_man_MANS = pam_selinux.8
  594. XMLS = README.xml pam_selinux.8.xml
  595. dist_check_SCRIPTS = tst-pam_selinux
  596. TESTS = $(dist_check_SCRIPTS)
  597. securelibdir = $(SECUREDIR)
  598. secureconfdir = $(SCONFIGDIR)
  599. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  600. -I$(top_srcdir)/libpam_misc/include $(WARN_CFLAGS)
  601. pam_selinux_la_LDFLAGS = -no-undefined -avoid-version -module \
  602. $(am__append_1)
  603. pam_selinux_la_LIBADD = $(top_builddir)/libpam/libpam.la
  604. securelib_LTLIBRARIES = pam_selinux.la
  605. pam_selinux_check_LDADD = $(top_builddir)/libpam/libpam.la \
  606. $(top_builddir)/libpam_misc/libpam_misc.la
  607. #dist_noinst_DATA = README
  608. all: all-am
  609. .SUFFIXES:
  610. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  611. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  612. @for dep in $?; do \
  613. case '$(am__configure_deps)' in \
  614. *$$dep*) \
  615. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  616. && { if test -f $@; then exit 0; else break; fi; }; \
  617. exit 1;; \
  618. esac; \
  619. done; \
  620. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_selinux/Makefile'; \
  621. $(am__cd) $(top_srcdir) && \
  622. $(AUTOMAKE) --gnu modules/pam_selinux/Makefile
  623. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  624. @case '$?' in \
  625. *config.status*) \
  626. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  627. *) \
  628. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  629. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  630. esac;
  631. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  632. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  633. $(top_srcdir)/configure: $(am__configure_deps)
  634. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  635. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  636. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  637. $(am__aclocal_m4_deps):
  638. clean-noinstPROGRAMS:
  639. @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
  640. echo " rm -f" $$list; \
  641. rm -f $$list || exit $$?; \
  642. test -n "$(EXEEXT)" || exit 0; \
  643. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  644. echo " rm -f" $$list; \
  645. rm -f $$list
  646. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  647. @$(NORMAL_INSTALL)
  648. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  649. list2=; for p in $$list; do \
  650. if test -f $$p; then \
  651. list2="$$list2 $$p"; \
  652. else :; fi; \
  653. done; \
  654. test -z "$$list2" || { \
  655. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  656. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  657. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  658. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  659. }
  660. uninstall-securelibLTLIBRARIES:
  661. @$(NORMAL_UNINSTALL)
  662. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  663. for p in $$list; do \
  664. $(am__strip_dir) \
  665. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  666. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  667. done
  668. clean-securelibLTLIBRARIES:
  669. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  670. @list='$(securelib_LTLIBRARIES)'; \
  671. locs=`for p in $$list; do echo $$p; done | \
  672. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  673. sort -u`; \
  674. test -z "$$locs" || { \
  675. echo rm -f $${locs}; \
  676. rm -f $${locs}; \
  677. }
  678. pam_selinux.la: $(pam_selinux_la_OBJECTS) $(pam_selinux_la_DEPENDENCIES) $(EXTRA_pam_selinux_la_DEPENDENCIES)
  679. $(AM_V_CCLD)$(pam_selinux_la_LINK) -rpath $(securelibdir) $(pam_selinux_la_OBJECTS) $(pam_selinux_la_LIBADD) $(LIBS)
  680. pam_selinux_check$(EXEEXT): $(pam_selinux_check_OBJECTS) $(pam_selinux_check_DEPENDENCIES) $(EXTRA_pam_selinux_check_DEPENDENCIES)
  681. @rm -f pam_selinux_check$(EXEEXT)
  682. $(AM_V_CCLD)$(LINK) $(pam_selinux_check_OBJECTS) $(pam_selinux_check_LDADD) $(LIBS)
  683. mostlyclean-compile:
  684. -rm -f *.$(OBJEXT)
  685. distclean-compile:
  686. -rm -f *.tab.c
  687. include ./$(DEPDIR)/pam_selinux.Plo # am--include-marker
  688. include ./$(DEPDIR)/pam_selinux_check.Po # am--include-marker
  689. $(am__depfiles_remade):
  690. @$(MKDIR_P) $(@D)
  691. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  692. am--depfiles: $(am__depfiles_remade)
  693. .c.o:
  694. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  695. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  696. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  697. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  698. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  699. .c.obj:
  700. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  701. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  702. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  703. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  704. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  705. .c.lo:
  706. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  707. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  708. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  709. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  710. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  711. mostlyclean-libtool:
  712. -rm -f *.lo
  713. clean-libtool:
  714. -rm -rf .libs _libs
  715. install-man8: $(dist_man_MANS)
  716. @$(NORMAL_INSTALL)
  717. @list1=''; \
  718. list2='$(dist_man_MANS)'; \
  719. test -n "$(man8dir)" \
  720. && test -n "`echo $$list1$$list2`" \
  721. || exit 0; \
  722. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  723. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  724. { for i in $$list1; do echo "$$i"; done; \
  725. if test -n "$$list2"; then \
  726. for i in $$list2; do echo "$$i"; done \
  727. | sed -n '/\.8[a-z]*$$/p'; \
  728. fi; \
  729. } | while read p; do \
  730. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  731. echo "$$d$$p"; echo "$$p"; \
  732. done | \
  733. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  734. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  735. sed 'N;N;s,\n, ,g' | { \
  736. list=; while read file base inst; do \
  737. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  738. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  739. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  740. fi; \
  741. done; \
  742. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  743. while read files; do \
  744. test -z "$$files" || { \
  745. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  746. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  747. done; }
  748. uninstall-man8:
  749. @$(NORMAL_UNINSTALL)
  750. @list=''; test -n "$(man8dir)" || exit 0; \
  751. files=`{ for i in $$list; do echo "$$i"; done; \
  752. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  753. sed -n '/\.8[a-z]*$$/p'; \
  754. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  755. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  756. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  757. ID: $(am__tagged_files)
  758. $(am__define_uniq_tagged_files); mkid -fID $$unique
  759. tags: tags-am
  760. TAGS: tags
  761. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  762. set x; \
  763. here=`pwd`; \
  764. $(am__define_uniq_tagged_files); \
  765. shift; \
  766. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  767. test -n "$$unique" || unique=$$empty_fix; \
  768. if test $$# -gt 0; then \
  769. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  770. "$$@" $$unique; \
  771. else \
  772. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  773. $$unique; \
  774. fi; \
  775. fi
  776. ctags: ctags-am
  777. CTAGS: ctags
  778. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  779. $(am__define_uniq_tagged_files); \
  780. test -z "$(CTAGS_ARGS)$$unique" \
  781. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  782. $$unique
  783. GTAGS:
  784. here=`$(am__cd) $(top_builddir) && pwd` \
  785. && $(am__cd) $(top_srcdir) \
  786. && gtags -i $(GTAGS_ARGS) "$$here"
  787. cscopelist: cscopelist-am
  788. cscopelist-am: $(am__tagged_files)
  789. list='$(am__tagged_files)'; \
  790. case "$(srcdir)" in \
  791. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  792. *) sdir=$(subdir)/$(srcdir) ;; \
  793. esac; \
  794. for i in $$list; do \
  795. if test -f "$$i"; then \
  796. echo "$(subdir)/$$i"; \
  797. else \
  798. echo "$$sdir/$$i"; \
  799. fi; \
  800. done >> $(top_builddir)/cscope.files
  801. distclean-tags:
  802. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  803. # Recover from deleted '.trs' file; this should ensure that
  804. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  805. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  806. # to avoid problems with "make -n".
  807. .log.trs:
  808. rm -f $< $@
  809. $(MAKE) $(AM_MAKEFLAGS) $<
  810. # Leading 'am--fnord' is there to ensure the list of targets does not
  811. # expand to empty, as could happen e.g. with make check TESTS=''.
  812. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  813. am--force-recheck:
  814. @:
  815. $(TEST_SUITE_LOG): $(TEST_LOGS)
  816. @$(am__set_TESTS_bases); \
  817. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  818. redo_bases=`for i in $$bases; do \
  819. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  820. done`; \
  821. if test -n "$$redo_bases"; then \
  822. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  823. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  824. if $(am__make_dryrun); then :; else \
  825. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  826. fi; \
  827. fi; \
  828. if test -n "$$am__remaking_logs"; then \
  829. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  830. "recursion detected" >&2; \
  831. elif test -n "$$redo_logs"; then \
  832. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  833. fi; \
  834. if $(am__make_dryrun); then :; else \
  835. st=0; \
  836. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  837. for i in $$redo_bases; do \
  838. test -f $$i.trs && test -r $$i.trs \
  839. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  840. test -f $$i.log && test -r $$i.log \
  841. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  842. done; \
  843. test $$st -eq 0 || exit 1; \
  844. fi
  845. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  846. ws='[ ]'; \
  847. results=`for b in $$bases; do echo $$b.trs; done`; \
  848. test -n "$$results" || results=/dev/null; \
  849. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  850. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  851. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  852. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  853. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  854. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  855. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  856. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  857. success=true; \
  858. else \
  859. success=false; \
  860. fi; \
  861. br='==================='; br=$$br$$br$$br$$br; \
  862. result_count () \
  863. { \
  864. if test x"$$1" = x"--maybe-color"; then \
  865. maybe_colorize=yes; \
  866. elif test x"$$1" = x"--no-color"; then \
  867. maybe_colorize=no; \
  868. else \
  869. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  870. fi; \
  871. shift; \
  872. desc=$$1 count=$$2; \
  873. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  874. color_start=$$3 color_end=$$std; \
  875. else \
  876. color_start= color_end=; \
  877. fi; \
  878. echo "$${color_start}# $$desc $$count$${color_end}"; \
  879. }; \
  880. create_testsuite_report () \
  881. { \
  882. result_count $$1 "TOTAL:" $$all "$$brg"; \
  883. result_count $$1 "PASS: " $$pass "$$grn"; \
  884. result_count $$1 "SKIP: " $$skip "$$blu"; \
  885. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  886. result_count $$1 "FAIL: " $$fail "$$red"; \
  887. result_count $$1 "XPASS:" $$xpass "$$red"; \
  888. result_count $$1 "ERROR:" $$error "$$mgn"; \
  889. }; \
  890. { \
  891. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  892. $(am__rst_title); \
  893. create_testsuite_report --no-color; \
  894. echo; \
  895. echo ".. contents:: :depth: 2"; \
  896. echo; \
  897. for b in $$bases; do echo $$b; done \
  898. | $(am__create_global_log); \
  899. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  900. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  901. if $$success; then \
  902. col="$$grn"; \
  903. else \
  904. col="$$red"; \
  905. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  906. fi; \
  907. echo "$${col}$$br$${std}"; \
  908. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  909. echo "$${col}$$br$${std}"; \
  910. create_testsuite_report --maybe-color; \
  911. echo "$$col$$br$$std"; \
  912. if $$success; then :; else \
  913. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  914. if test -n "$(PACKAGE_BUGREPORT)"; then \
  915. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  916. fi; \
  917. echo "$$col$$br$$std"; \
  918. fi; \
  919. $$success || exit 1
  920. check-TESTS: $(dist_check_SCRIPTS)
  921. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  922. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  923. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  924. @set +e; $(am__set_TESTS_bases); \
  925. log_list=`for i in $$bases; do echo $$i.log; done`; \
  926. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  927. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  928. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  929. exit $$?;
  930. recheck: all $(dist_check_SCRIPTS)
  931. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  932. @set +e; $(am__set_TESTS_bases); \
  933. bases=`for i in $$bases; do echo $$i; done \
  934. | $(am__list_recheck_tests)` || exit 1; \
  935. log_list=`for i in $$bases; do echo $$i.log; done`; \
  936. log_list=`echo $$log_list`; \
  937. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  938. am__force_recheck=am--force-recheck \
  939. TEST_LOGS="$$log_list"; \
  940. exit $$?
  941. tst-pam_selinux.log: tst-pam_selinux
  942. @p='tst-pam_selinux'; \
  943. b='tst-pam_selinux'; \
  944. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  945. --log-file $$b.log --trs-file $$b.trs \
  946. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  947. "$$tst" $(AM_TESTS_FD_REDIRECT)
  948. .test.log:
  949. @p='$<'; \
  950. $(am__set_b); \
  951. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  952. --log-file $$b.log --trs-file $$b.trs \
  953. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  954. "$$tst" $(AM_TESTS_FD_REDIRECT)
  955. #.test$(EXEEXT).log:
  956. # @p='$<'; \
  957. # $(am__set_b); \
  958. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  959. # --log-file $$b.log --trs-file $$b.trs \
  960. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  961. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  962. distdir: $(BUILT_SOURCES)
  963. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  964. distdir-am: $(DISTFILES)
  965. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  966. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  967. list='$(DISTFILES)'; \
  968. dist_files=`for file in $$list; do echo $$file; done | \
  969. sed -e "s|^$$srcdirstrip/||;t" \
  970. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  971. case $$dist_files in \
  972. */*) $(MKDIR_P) `echo "$$dist_files" | \
  973. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  974. sort -u` ;; \
  975. esac; \
  976. for file in $$dist_files; do \
  977. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  978. if test -d $$d/$$file; then \
  979. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  980. if test -d "$(distdir)/$$file"; then \
  981. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  982. fi; \
  983. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  984. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  985. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  986. fi; \
  987. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  988. else \
  989. test -f "$(distdir)/$$file" \
  990. || cp -p $$d/$$file "$(distdir)/$$file" \
  991. || exit 1; \
  992. fi; \
  993. done
  994. check-am: all-am
  995. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  996. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  997. check: check-am
  998. all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(MANS) $(DATA)
  999. installdirs:
  1000. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1001. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1002. done
  1003. install: install-am
  1004. install-exec: install-exec-am
  1005. install-data: install-data-am
  1006. uninstall: uninstall-am
  1007. install-am: all-am
  1008. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1009. installcheck: installcheck-am
  1010. install-strip:
  1011. if test -z '$(STRIP)'; then \
  1012. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1013. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1014. install; \
  1015. else \
  1016. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1017. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1018. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1019. fi
  1020. mostlyclean-generic:
  1021. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1022. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1023. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1024. clean-generic:
  1025. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1026. distclean-generic:
  1027. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1028. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1029. maintainer-clean-generic:
  1030. @echo "This command is intended for maintainers to use"
  1031. @echo "it deletes files that may require special tools to rebuild."
  1032. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1033. clean: clean-am
  1034. clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
  1035. clean-securelibLTLIBRARIES mostlyclean-am
  1036. distclean: distclean-am
  1037. -rm -f ./$(DEPDIR)/pam_selinux.Plo
  1038. -rm -f ./$(DEPDIR)/pam_selinux_check.Po
  1039. -rm -f Makefile
  1040. distclean-am: clean-am distclean-compile distclean-generic \
  1041. distclean-tags
  1042. dvi: dvi-am
  1043. dvi-am:
  1044. html: html-am
  1045. html-am:
  1046. info: info-am
  1047. info-am:
  1048. install-data-am: install-man install-securelibLTLIBRARIES
  1049. install-dvi: install-dvi-am
  1050. install-dvi-am:
  1051. install-exec-am:
  1052. install-html: install-html-am
  1053. install-html-am:
  1054. install-info: install-info-am
  1055. install-info-am:
  1056. install-man: install-man8
  1057. install-pdf: install-pdf-am
  1058. install-pdf-am:
  1059. install-ps: install-ps-am
  1060. install-ps-am:
  1061. installcheck-am:
  1062. maintainer-clean: maintainer-clean-am
  1063. -rm -f ./$(DEPDIR)/pam_selinux.Plo
  1064. -rm -f ./$(DEPDIR)/pam_selinux_check.Po
  1065. -rm -f Makefile
  1066. maintainer-clean-am: distclean-am maintainer-clean-generic
  1067. mostlyclean: mostlyclean-am
  1068. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1069. mostlyclean-libtool
  1070. pdf: pdf-am
  1071. pdf-am:
  1072. ps: ps-am
  1073. ps-am:
  1074. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1075. uninstall-man: uninstall-man8
  1076. .MAKE: check-am install-am install-strip
  1077. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1078. check-am clean clean-generic clean-libtool \
  1079. clean-noinstPROGRAMS clean-securelibLTLIBRARIES cscopelist-am \
  1080. ctags ctags-am distclean distclean-compile distclean-generic \
  1081. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1082. html-am info info-am install install-am install-data \
  1083. install-data-am install-dvi install-dvi-am install-exec \
  1084. install-exec-am install-html install-html-am install-info \
  1085. install-info-am install-man install-man8 install-pdf \
  1086. install-pdf-am install-ps install-ps-am \
  1087. install-securelibLTLIBRARIES install-strip installcheck \
  1088. installcheck-am installdirs maintainer-clean \
  1089. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1090. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1091. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1092. uninstall-man8 uninstall-securelibLTLIBRARIES
  1093. .PRECIOUS: Makefile
  1094. #-include $(top_srcdir)/Make.xml.rules
  1095. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1096. # Otherwise a system limit (for SysV at least) may be exceeded.
  1097. .NOEXPORT: